#!/usr/bin/env python

"""
Moin wiki processing errors.

Copyright (C) 2019 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

class ProcessingError(Exception):

    "A generic processing error."

    def __init__(self, errors):
        self.errors = errors

    def __repr__(self):
        return "%s(%r)" % (self.__class__.__name__, self.errors)

    def __str__(self):
        return "Error: %s\nMessage: %s\n" % (self.__class__.__name__, self.errors)

# vim: tabstop=4 expandtab shiftwidth=4
