#!/usr/bin/env python

"""
Linking scheme implementations.

Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.links.manifest import linkers

# Top-level functions.

def get_linker(name):

    """
    Return the linking scheme handler class with the given 'name' or None if no
    such handler is found.
    """

    return linkers.get(name)

def make_linker(metadata, name=None):

    """
    Return a linking scheme handler using the given 'metadata' and optional
    'name'.
    """

    return metadata.get_linker(name)

# vim: tabstop=4 expandtab shiftwidth=4
