#!/usr/bin/env python

"""
Line break macro for Moin compatibility.

Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.macros.common import Macro
from moinformat.tree.moin import LineBreak

class LineBreakMacro(Macro):

    "A line break macro."

    name = "BR"

    def evaluate(self):

        "Evaluate the macro, producing a line break node."

        # Replace the macro node with the line break.

        macro = self.node
        macro.parent.replace(macro, LineBreak())

macro = LineBreakMacro

# vim: tabstop=4 expandtab shiftwidth=4
