#!/usr/bin/env python

"""
Verbatim macro for Moin compatibility.

Copyright (C) 2019 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.macros.common import Macro
from moinformat.tree.moin import Verbatim

class VerbatimMacro(Macro):

    "A verbatim text macro."

    name = "Verbatim"

    def evaluate(self):

        "Evaluate the macro, producing a verbatim text node."

        # Replace the macro node with the verbatim node.

        macro = self.node
        macro.parent.replace(macro, Verbatim(",".join(self.node.args)))

macro = VerbatimMacro

# vim: tabstop=4 expandtab shiftwidth=4
