#!/usr/bin/env python

"""
Stand-alone output context.

Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.output.common import Output

class StandaloneOutput(Output):

    "A stand-alone output context."

    name = "standalone"

    # Convenience methods.

    def ensure(self, pagename):

        "Ensure that the given 'pagename' exists."

        pass

    def ensure_attachments(self, pagename):

        "Ensure that attachment storage for the given 'pagename' exists."

        pass

    def get_attachment_filename(self, pagename, filename):

        """
        Prevent independent output by returning a filename of None corresponding
        to the given 'pagename' and any specified 'filename'.
        """

        return None

    def get_filename(self, filename):

        """
        Prevent independent output by returning a filename of None corresponding
        to any specified 'filename'.
        """

        return None

output = StandaloneOutput

# vim: tabstop=4 expandtab shiftwidth=4
