#!/usr/bin/env python

"""
Moin wiki parsers.

Copyright (C) 2017, 2018 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.parsers.manifest import parsers
from moinformat.parsers.moin import MoinParser

# Top-level functions.

def get_parser(name="moin"):

    "Return the parser class supporting the format with the given 'name'."

    return parsers[name]

def make_parser(metadata, name="moin"):

    "Return a parser instance using the given 'metadata' and optional 'name'."

    return metadata.get_parser(name)

def parse(s, parser=None):

    "Parse 's' with 'parser' or the Moin format parser if omitted."

    parser = parser or MoinParser()
    return parser.parse(s)

# vim: tabstop=4 expandtab shiftwidth=4
