#!/usr/bin/env python

"""
Extended table syntax document tree nodes.

Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.tree.moin import Node

class Continuation(Node):

    "Continuation padding for table content."

    def __init__(self, text):
        self.text = text

    def __repr__(self):
        return "Continuation(%r)" % self.text

    def prettyprint(self, indent=""):
        return "%sContinuation: %r" % (indent, self.text)

    def to_string(self, out):
        out.continuation(self.text)

# vim: tabstop=4 expandtab shiftwidth=4
