#!/usr/bin/env python

"""
File utilities.

Copyright (C) 2019 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

import codecs

def readfile(filename, encoding):

    """ 
    Return the contents of the file having the given 'filename' and employing
    the given 'encoding'.
    """

    f = codecs.open(filename, encoding=encoding)
    try:
        return f.read()
    finally:
        f.close()

# vim: tabstop=4 expandtab shiftwidth=4
